JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.liveReport.getByID('5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.live_report.get_by_id(
"5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/live-report/{reportId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/live-report/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/live-report/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roark.ai/v1/live-report/{reportId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/live-report/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": [
{
"type": "METRIC_PROPERTY",
"property": "<string>",
"operator": "EQUALS",
"value": "<string>"
}
],
"targets": [
{
"metric": "<string>",
"value": 123,
"aggregation": "PASS_RATE",
"percentile": 50,
"passOperator": "EQUALS",
"passValue": "<string>",
"comparator": "AT_LEAST",
"label": "<string>"
}
],
"dashboardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cadence": "DAILY",
"timezone": "<string>",
"deliveryHour": 123,
"status": "ACTIVE",
"notifications": {
"email": {
"enabled": true,
"recipients": [
"jsmith@example.com"
]
},
"slack": [
{
"notificationConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "<string>",
"channelName": "<string>"
}
],
"fromConfig": true
},
"includeTranscriptExcerpts": true,
"configKey": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"configManaged": true,
"nextDeliveryAt": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Live Report
Get a live report
GET
/
v1
/
live-report
/
{reportId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.liveReport.getByID('5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.live_report.get_by_id(
"5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/live-report/{reportId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/live-report/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/live-report/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roark.ai/v1/live-report/{reportId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/live-report/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": [
{
"type": "METRIC_PROPERTY",
"property": "<string>",
"operator": "EQUALS",
"value": "<string>"
}
],
"targets": [
{
"metric": "<string>",
"value": 123,
"aggregation": "PASS_RATE",
"percentile": 50,
"passOperator": "EQUALS",
"passValue": "<string>",
"comparator": "AT_LEAST",
"label": "<string>"
}
],
"dashboardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cadence": "DAILY",
"timezone": "<string>",
"deliveryHour": 123,
"status": "ACTIVE",
"notifications": {
"email": {
"enabled": true,
"recipients": [
"jsmith@example.com"
]
},
"slack": [
{
"notificationConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "<string>",
"channelName": "<string>"
}
],
"fromConfig": true
},
"includeTranscriptExcerpts": true,
"configKey": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"configManaged": true,
"nextDeliveryAt": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}